﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define dis = {"master" : Dissolve(1.5)}
define dis002 = {"master" : Dissolve(3.0)}
define moveinoutdissolveright = ComposeTransition(dissolve, before=easeoutleft, after=easeinright)
define moveinoutdissolveleft = ComposeTransition(dissolve, before=easeoutright, after=easeinleft)

transform extleft:
    xalign -0.3

transform extright:
    xalign 0.7

define vakka = Character(_("Baron Vakka"), who_color="#ffffff")
define emperor = Character(_("The Emperor"), who_color="#ff9999")
define gilkarg = Character(_("Crown Prince Gilkarg"), who_color="#ff9999")
define ratha = Character(_("Prince Ratha"), who_color="#ff9999")
define thrakhath = Character(_("Prince Thrakhath"), who_color="#ff9999")


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.



    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # These display lines of dialogue.

    stop music fadeout 1.0

    $ renpy.pause(1.0)

    scene black

    show tip_text "A PLOT FROM THE NOVEL: ACTION STATIONS, CHAPTER 1" at righttopside with Dissolve(1.0)
    pause 1
    hide tip_text at righttopside with Dissolve(1.0)

    "{cps=20}\"My Emperor, I follow thy call for the hunt. {p=1.0}Point out the prey to us and we shall spring upon it, {p=1.0}but I beg of thee the right to point out the other herds which thou might not have gazed upon.\"{p=3.0}{nw}{/cps}" (what_color="#ffffcc")

    show vakka bowing with dissolve

    "\"My Emperor, I follow thy call for the hunt. \nPoint out the prey to us and we shall spring upon it, \nbut I beg of thee the right to point out the other herds which thou might not have gazed upon.\"{fast}{p=3.0}" (what_color="#ffffcc")

    $ renpy.pause(3.0)

    play music "audio/KPalace01.mp3" fadein 1.0

    hide vakka bowing with Dissolve(1.5)

    show emperor sitting with Dissolve(3.0)

    $ renpy.pause(3.0)

    emperor "..." (what_color="#ffffcc")
    $ renpy.pause(3.0)
    emperor "... Go on then." (what_color="#ffffcc")
    emperor "But the hour is already late." (what_color="#ffffcc")
    $ renpy.pause(2.0)

    image bg_kpalace2 = "bg_kpalace2.png"
    scene bg_kpalace2 with Dissolve(2.0)
    hide emperor sitting with Dissolve(1.0)

    show vakka bowing with dissolve
    $ renpy.pause(1.5)
    hide vakka bowing with dissolve

    show vakka serious with dissolve

    vakka "My Emperor, my brothers of the other clans. I urge you to consider one point yet again." (what_color="#ffffcc")
    vakka "Now is not the time to wage the war upon the Confederation." (what_color="#ffffcc")
    $ renpy.pause(0.5)

    hide vakka serious with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "Vakka, we have gone through this for three days." (what_color="#ffffcc")
    gilkarg "Make an end to this protest." (what_color="#ffffcc")
    $ renpy.pause(1.0)

    hide gilkarg normal with easeoutright
    show vakka moreserious with easeinleft

    vakka "..." (what_color="#ffffcc")
    hide vakka serious with easeoutleft

    show ratha standing at right with easeinright
    ratha "COULD THERE BE THE SCENT OF FEAR IN THIS ROOM?" (what_color="#ffffcc") with vpunch
    $ renpy.pause(1.0)
    hide ratha standing at right with dissolve

    show gilkarg normal with dissolve
    gilkarg "The dagger is upon the floor, Ratha. Challenge can not be made." (what_color="#ffffcc")
    hide gilkarg normal with dissolve
    show ratha standing at right with dissolve
    ratha "Grrr..." (what_color="#ffffcc")
    hide ratha standing at right with Dissolve(1.0)

    show thrakhath standing at right with dissolve
    thrakhath "Ratha, you would have killed him." (what_color="#ffffcc")
    hide thrakhath standing at right with easeoutright

    show vakka bristling with easeinleft

    vakka "..." (what_color="#ffffcc")

    $ renpy.pause(2.0)
    show vakka moreserious with dissolve
    $ renpy.pause(1.0)
    vakka "The Confederation must be dealt with." (what_color="#ffffcc")
    vakka "But, is it the proper time? Since gaining spaceflight we have expanded, taking all in our path, for this is proper." (what_color="#ffffcc")
    vakka "Yet remember, as we expand, it is like a balloon stretching outward. The surface is growing larger and yet larger, our borders forever becoming wider." (what_color="#ffffcc")
    vakka "Now we found this Confederation on our flank, but there are other borders as well." (what_color="#ffffcc")

    hide vakka serious with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "{i}Va ka garga ka naru ha garga. {/i}Those not of the blood must have their blood split." (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka moreserious with easeinleft

    vakka "Yes, such it has always been, if they are not of the blood they are prey to be hunted." (what_color="#ffffcc")
    vakka "Yet do you see what I am saying here? As we hunt down and destroy a prey, two more spring up behind them." (what_color="#ffffcc")

    hide vakka serious with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "So there is more to hunt." (what_color="#ffffcc")
    gilkarg "More honor, more glory, more blood for our talons." (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka peace with easeinleft

    vakka "That's not the case..." (what_color="#ffffcc")

    # hide vakka peace with dissolve
    show vakka moreserious with dissolve

    vakka "And what of the other direction?" (what_color="#ffffcc")
    vakka "The darkness we know is coming out of the galactic core?" (what_color="#ffffcc")
    vakka "It is a force that even we must admit very well overwhelm us." (what_color="#ffffcc")
    vakka "You have seen the reports from our deep remote probes, which have spanned the vast reaches in towards the heart of the galaxy." (what_color="#ffffcc")
    vakka "That is a power there that is overwhelming all in its path. A power that is coming this way." (what_color="#ffffcc")

    hide vakka moreserious with easeoutleft
    show ratha standing at right with easeinright

    ratha "PRECISELY WHY WE MUST FIGHT THE CONFEDERATION NOW!" (what_color="#ffffcc") with vpunch
    ratha "Or are you afraid of them?" (what_color="#ffffcc") with vpunch

    hide ratha standing at right with easeoutright

    show vakka bristling with easeinleft

    vakka "I fear nothing." (what_color="#ffffcc")
    $ renpy.pause(1.0)

    hide vakka bristling with easeoutleft

    show ratha standing at right with easeinright
    ratha "Grrr..." (what_color="#ffffcc")
    $ renpy.pause(1.0)
    hide ratha standing at right with dissolve

    show gilkarg normal with dissolve

    gilkarg "Ratha, step back." (what_color="#ffffcc")

    hide gilkarg normal with dissolve
    show ratha standing at right with dissolve
    ratha "Grrr..." (what_color="#ffffcc")

    hide ratha standing at right with Dissolve(2.0)

    show gilkarg normal with dissolve

    gilkarg "Precisely, THAT IS why we must fight the Confederation now." (what_color="#ffffcc")
    gilkarg "Each war sharpens our talons. Each war requires us to improve our weapons and take as well the secrets of our enemies." (what_color="#ffffcc")
    gilkarg "Remember, it was the foolish Shata who came to us peacefully, and revealed to us the secret of the jump points and how to use them." (what_color="#ffffcc")
    gilkarg "And once we took that secret, we slaughtered the fools who bore it to us as we slaughter any prey." (what_color="#ffffcc")
    $ renpy.pause(1.0)
    gilkarg "My father, in his war against Varni, went into the fight knowing their technology was superior. That exactly why we fought them then, to take their secrets." (what_color="#ffffcc")
    gilkarg "His father before him against the Wu, his father's father against the Eyoka." (what_color="#ffffcc")
    gilkarg "And now, we shall take this Confederation as our right and destiny!" (what_color="#ffffcc") with vpunch

    hide gilkarg normal with easeoutright
    show vakka moreserious with easeinleft

    vakka "What I caution is our lack of knowledge." (what_color="#ffffcc")
    vakka "That is as if we hear something at the far side of the hill, and the hunting pride charges towards it with roars of blood lust, but know not what is upon the far side of that hill!" (what_color="#ffffcc")

    hide vakka moreserious with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "WE KNOW ENOUGH.{p=1.5}{nw}" (what_color="#ffffcc") with vpunch
    gilkarg "This colonoy your clan captured! It was they who first made us aware of this Confederation.{p=1.5}{nw}" (what_color="#ffffcc")
    gilkarg "You yourself said they were powerful and the issue of their existence of them should be addressed!" (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka peace with easeinleft

    vakka "...(sigh)" (what_color="#ffffcc")
    $ renpy.pause(3.0)

    # hide vakka peace with dissolve
    show vakka serious with dissolve

    vakka "We have learned this, at least. If they have an advantage it is in their depth." (what_color="#ffffcc")
    vakka "Their web of alliances with half a dozen races, the sheer number of worlds they have colonized." (what_color="#ffffcc")
    vakka "Such a depth of organization could be the infinite help if the challenge from within the core is to one day be met." (what_color="#ffffcc")

    # hide vakka serious with dissolve
    show vakka peace with dissolve

    vakka "We lack that depth. We annihilate or enslave everyone on the worlds we take." (what_color="#ffffcc")

    hide vakka peace with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "So?" (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka moreserious with easeinleft

    vakka "Yes, we have a fleet, the best in the galaxy, but we don't have the infrastructure, the web of commerce." (what_color="#ffffcc")

    # hide vakka moreserious with dissolve
    show vakka peace with dissolve

    vakka "We conquer, destroy, populate a new world like a fiefdom, placing a few of tens of thousands of our own blood where billions once existed." (what_color="#ffffcc")
    vakka "Those whom we suffer to live, labor in our factories as slaves, not allies. Then we expand again." (what_color="#ffffcc")

    # hide vakka peace with dissolve
    show vakka serious with dissolve

    vakka "We like a hollow shell, and the Confederation is a solid mass." (what_color="#ffffcc")

    hide vakka serious with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "THAT IS WHY WE MUST ATTACK NOW! {p=1.5}" (what_color="#ffffcc") with vpunch
    gilkarg "We are superior. One fierce blow will smash that solid mass, a blow from which they will never recover!" (what_color="#ffffcc")
    gilkarg "Even if, as in your worst projections as presented earlier, they somehow survive the first blow, they will be so weakened that we will hold what we have taken!" (what_color="#ffffcc")
    gilkarg "Then finally, push the blade into their heart!" (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka peace with easeinleft

    vakka "...(sigh)" (what_color="#ffffcc")

    hide vakka peace with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "Better to take it and use it in our own way!" (what_color="#ffffcc")
    gilkarg "Leaders of the clans, we can see the truth! If our places are reserved, we would laugh at such an alliance, and simply use the Confederation as a buffer to absorb the first blow of the enemy, as they would do to us!" (what_color="#ffffcc")
    gilkarg "And besides, the point is meaningless! It will be at least eight times eight years before the darkness even begins to approach our borders!" (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka peace with easeinleft

    vakka "...(sigh)" (what_color="#ffffcc")

    hide vakka peace with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "The war will train a new generation such as my son!" (what_color="#ffffcc")
    gilkarg "For all of our sons this fight will be their blooding and their chance to rise in honor and gain glory for their clan names!" (what_color="#ffffcc")
    gilkarg "And this war, I predict, that will be finished before it has ever started!" (what_color="#ffffcc")
    gilkarg "After the first hammer blows, we will plunk the fresh off the bones of the Confederation at our leisure!" (what_color="#ffffcc")

    hide gilkarg normal with easeoutright
    show vakka peace with easeinleft

    vakka "..." (what_color="#ffffcc")

    hide vakka peace with easeoutleft
    show gilkarg normal with easeinright

    gilkarg "As for the rumor that they are preparing declare war upon us-" (what_color="#ffffcc")
    gilkarg "-let them! We shall use the classic maneuver of {i}Haggin{/i}." (what_color="#ffffcc")

    gilkarg "We will show the weakness and confusion in the opening days, even pull back." (what_color="#ffffcc")

    gilkarg "Then will come the KILLING BLOW!" (what_color="#ffffcc") with vpunch

    $ renpy.pause(3.0)

    "\"{i}Va ka garga ka naru ha garga!{/i}\"{p=1.5}{nw}" (what_color="#ffffcc") with vpunch
    "\"Long live the Empire!\"{p=1.5}{nw}" (what_color="#ffffcc") with vpunch
    "\"{i}Va ka garga ka naru ha garga!\"{/i}{p=1.0}{nw}" (what_color="#ffffcc") with vpunch
    "\"Long live the Empire!\"{p=1.0}{nw}" (what_color="#ffffcc") with vpunch

    hide gilkarg normal with dissolve

    show vakka peace with dissolve

    vakka "..." (what_color="#ffffcc")
    vakka "...(sigh) I see..." (what_color="#ffffcc")

    hide vakka peace with Dissolve(3.0)

    "\"{i}Va ka garga ka naru ha garga!{/i}\"{p=3.0}{nw}" (what_color="#ffffcc") with vpunch
    "\"Long live the Empire!\"{p=1.0}{nw}" (what_color="#ffffcc") with vpunch
    "\"{i}Va ka garga ka naru ha garga!{/i}\"{p=0.5}{nw}" (what_color="#ffffcc") with vpunch
    "\"Long live the Empire!\"{p=0.5}{nw}" (what_color="#ffffcc") with vpunch
    "\"{i}Va ka garga ka naru ha garga!{/i}\"{p=0.1}{nw}" (what_color="#ffffcc") with vpunch
    "\"Long live the Empire!\"{p=0.1}{nw}" (what_color="#ffffcc") with vpunch
    "\"{i}Va ka garga ka naru ha garga!{/i}\"{nw}" (what_color="#ffffcc") with vpunch
    "\"Long live the Empire!\"{p=1.0}{nw}" (what_color="#ffffcc") with vpunch
    $ renpy.pause(1.0)
    "{cps=10}\"{b}LONG LIVE THE EMPRIE OF KILRAH!{/b}\"{/cps}{p=5.0}{nw}" (what_color="#ffffcc")

    stop music fadeout 1.0

    show tip_text "END OF A PLOT" at righttopside with Dissolve(1.0)
    pause 1
    hide text at righttopside with Dissolve(1.0)

label chapter0_awake00:

    define master = Character(_("Master"), who_color="#ffffff")

    scene bg_white with Dissolve(3.0)
    scene bg_bookroom with Dissolve(1.0)

    $ renpy.pause(3.0)

    show master peace with dissolve

    master "Are you all right?" (what_color="#ffffcc")
    "I am fine, master... just a dream." (what_color="#ffffcc")
    master "About?" (what_color="#ffffcc")

    menu:

        "{color=#ffffcc}Actually...{/color}"

        "{color=#ffffcc}I dreamed about some historical things.{/color}":

            jump chapter0_awake01_dream

        "{color=#ffffcc}I'd rather not talk about it...{/color}":

            jump chapter0_awake01_nothing

label chapter0_awake01_dream:

    "I dreamed about some historical things... Something happened more than six times eight years ago..." (what_color="#ffffcc")

    master "I see. You have been even more serious on this recently." (what_color="#ffffcc")

    show tip_text "A TIP FROM THE NOVEL: ACTION STATIONS, FOREWORD" at righttopside with Dissolve(1.0)

    master "Did you read {i}Kilrah Tugaga Jak-ta Haganaska duka McAuliffe{/i} once again?" (what_color="#ffffcc")

    "No. This time Col. Wilhelm Schwarzmont's work." (what_color="#ffffcc")

    master "Ah, the Terran expert." (what_color="#ffffcc")

    hide tip_text at righttopside with Dissolve(1.0)

    show master cepeace with dissolve
    master "Look at that period from a Terran's perspective... it will help." (what_color="#ffffcc")

    $ renpy.pause(1.0)

    jump chapter0_awake02

label chapter0_awake01_nothing:

    "I'd rather not talk about it..." (what_color="#ffffcc")

    show master cepeace with dissolve

    master "I see..." (what_color="#ffffcc")

    jump chapter0_awake02

label chapter0_awake02:

    show master peace with dissolve

    master "Anyway, come and see the earth at the bridge. We are almost there." (what_color="#ffffcc")

label chapter0_bridge01:

    scene bg_white with Dissolve(3.0)

    image bg_earth01 = im.MatrixColor("bg_earth01.png", im.matrix.desaturate() * im.matrix.tint(1.2, 1.0, 0.8))
    scene bg_earth01 with Dissolve(3.0)

    play music "audio/bgm_maoudamashii_piano39.mp3"

    $ renpy.pause(3.0)
    "This is the earth... Terran's home planet..." (what_color="#ffffcc")

    master "The earth actually does look... in a sense as it did... in those days." (what_color="#ffffcc")

    "Those days? You mean... more than two eight years ago?" (what_color="#ffffcc")

    master "Yes. By then I was as young as you are now, no more than a cub.{p=3.0}" (what_color="#ffffcc")
    master "Enjoy it here, let me pack up the things. We will land in a few eight minutes." (what_color="#ffffcc")

    "Thank you, master." (what_color="#ffffcc")

    master "Well, remember, as planned, call me uncle on earth at the moment... though it is no secret." (what_color="#ffffcc")

    "Ah, got it, uncle." (what_color="#ffffcc")

    $ renpy.pause(3.0)

    image bg_earth02 = im.MatrixColor("bg_earth02.png", im.matrix.desaturate() * im.matrix.tint(1.2, 1.0, 0.8))
    scene bg_earth02 with fade

    "..." (what_color="#ffffcc")
    "The space near the earth is so peaceful..." (what_color="#ffffcc")

    $ renpy.pause(3.0)
    scene bg_earth02 with Fade(0.5, 0.1, 0.5, color="#ffffff")

    "?" (what_color="#ffffcc")
    $ renpy.pause(1.0)
    "What was that?" (what_color="#ffffcc")
    $ renpy.pause(3.0)

    show master peace bright with dissolve

    master "What happened?" (what_color="#ffffcc")

    "Just now... there seems to be something flashing past." (what_color="#ffffcc")

    master "Ah, isn't it a piece of meteorite?" (what_color="#ffffcc")

    "The shining... it was really special." (what_color="#ffffcc")

    show master cepeace bright with dissolve

    master "..." (what_color="#ffffcc")

    $ renpy.pause(3.0)

    master "... or maybe a fragment of a craft." (what_color="#ffffcc")

    $ renpy.pause(1.0)

    image bg_earth03 = im.MatrixColor("bg_earth03.png", im.matrix.desaturate() * im.matrix.tint(1.2, 1.0, 0.8))
    scene bg_earth03 with fade

    master "The space we just passed was the battlefield of... The Battle of Earth." (what_color="#ffffcc")

    $ renpy.pause(1.0)

    master "Both sides had a lot of sacrifices in the battle... Terrans and us..." (what_color="#ffffcc")
    master "Well, you know all these things...  " (what_color="#ffffcc")

    $ renpy.pause(1.0)

    "Yes..." (what_color="#ffffcc")

    master "If I were going out on campaign then, maybe now I would be with them... with him..." (what_color="#ffffcc")
    "..." (what_color="#ffffcc")

    $ renpy.pause(3.0)

    show master peace bright with dissolve

    master "Well, let ’s not talk about these... We are about to land." (what_color="#ffffcc")

    hide master peace with dissolve

    image bg_earth03o = im.MatrixColor("bg_earth03.png", im.matrix.hue(0))
    scene bg_earth03o with Dissolve(3.0)

    "Story partially adapted from the novel of {p=0.5} Action Stations {p=0.5} by William R.Forstchen" (what_color="#ccccff")
    "{p=0.5} The Price of Freedom {p=0.5} by William R.Forstchen and Ben Ohlander" (what_color="#ccccff")
    "{p=0.5} Heart of the Tiger by William R. Forstchen and Andrew Keith" (what_color="#ccccff")
    "{p=0.5} Fleet Action {p=0.5} by William R.Forstchen." (what_color="#ccccff")
    "Portraits by EmuMusicFan." (what_color="#ccccff")
    "Music by PalMusicFan; Maoudashii. Background by PalMusicFan, talented creators on Pexels, etc. and Space Engine." (what_color="#ccccff")

    stop music fadeout 1.0

    jump chapter1_morningnews

    $ renpy.pause(1.0)

    # This ends the game.

    return
